Subject: bug#29440: Tramp put drive_c in the backup file name when backuping in local PC/windows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Nov 2017 21:18:37 +0200

> From: Shuguang Sun <[email-masked]>
> Date: Sun, 26 Nov 2017 00:08:42 +0800
> 
> Windows 7
> GNU Emacs 27.0.50 (build 1, x86_64-w64-mingw32) of 2017-11-24
> 
> I didn't set tramp-backup-directory-alist which means the fiile will be backuped locally instead of being backup
> in server side.
> 
> backup-directory-alist:
>      ("\\.[rR]\\(md\\)?$" . "~/.emacs.d/autosave/Rfiles")
> 
> When I open a file in tramp and edit it, the backup file will be and was backuped in the local direcory:
> ~/.emacs.d/autosave/Rfiles (c:/Users/username/HOME/.emacs.d/autosave/Rfiles). However the backfile is
> named
> "c:/Users/username/HOME/.emacs.d/autosave/Rfiles/!drive_c!plink!!username@host!!!opt!bee!home!username!test!coxph_bench.r.~2~",
> where "dirve_c" was put in.

Maybe I'm confused, but what did you expect to happen instead?  When
files are backed-up in a single directory, the drive letters cannot be
kept because Windows doesn't allow colons in file names.